Metadata
Endpoints that retrieve block model metadata
List all block models in a workspace
Block Model API
Gets a paginated list of all block models in a workspace identified by workspace_id. By retrieving this list, you can
obtain the bm_id value for a given model, which can then be used in
subsequent API requests to upload or download data, along with performing other operations.
The list is ordered from the most recently updated block model to the least recently updated block model.
By default, the list is ordered from the most recently updated block model to the least recently updated block model.
If a sort query parameter is specified, the list will be ordered according to the specified field.
This endpoint is paginated, therefore by default this lists at most the first 50 block models. To get other block
models, use the offset and limit query parameters to select the desired part of the list.
An offset beyond the total number of block models in the workspace will result in an empty results list.
The limit must be an integer from 1 to 100.
The response includes total, which is the total number of block models within the list.
All workspace roles can use this endpoint.
Parameters
Example: "860be2f5-fe06-4c1b-ac8b-7d34d2b6d2ef"
ID of the workspace this call is scoped to. Represented as a v4 UUID.
Example: "bf1a040c-8c58-4bc2-bec2-c5ae7de8bd84"
ID of the organization this call is scoped to. Represented as a v4 UUID.
An optional boolean parameter specifying whether to list only deleted block models.
-
If set to
true, the response will only list block models that were deleted via the 'Delete a block model' endpoint. This list will not include block models that are within deleted workspaces. -
By default, or if set to
false, the response will only list non-deleted block models within non-deleted workspaces.
An optional query parameter specifying how the results should be sorted. If not provided, results are sorted by last_updated_at in descending order.
This is a comma-separated list of fields; allowed field names are name, created_at, and last_updated_at.
You cannot specify the same field twice.
By default, results are sorted in ascending order.
To explicitly specify the sort order for a field, you can prefix its name with asc: (ascending) or desc: (descending).
For example, order_by=desc:created_at will sort block models by time created in descending order.
Index of the first item to return.
50Maximum number of items to return from the list. Must be greater than 0 and less than or equal to 100.
Returns
200
Successful Response
Number of results returned in results
Maximum number of items requested
Index of the first item in results with respect to the full list without pagination
List of results
Axis-aligned bounding box of the block model.
This is the smallest box that fully contains all blocks within the block model, regardless of whether they contain data. It is defined by the minimum and maximum coordinates along each axis.
Minimum and maximum values for the x column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the y column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the z column in the file
Maximum value for the column
Minimum value for the column
The rotation of the block model. Defined by a list of clockwise rotations around given axes.
The combined equation for the rotation is given by:
R_1 ... R_n A = B
where A is the location in the IJK space, B is the location in coordinate space, and R_i is the rotation matrix for the ith rotation.
For example, if the first rotation is a rotation of 15 degrees clockwise around the X axis, R_1 would be [[1, 0, 0], [0, cos(15), sin(15)], [0, -sin(15), cos(15)]].
Two rotations around the same axis cannot be consecutive items within the list of rotations.
Angle of rotation in degrees
Axis of rotation
ID of the block model
Example: "EPSG:3395"
Coordinate reference system used in the block model.
This may be an EPSG code, signified by the prefix 'EPSG:', or a coordinate system definition in WKT format.
If an EPSG code is provided, it must be for a coordinate reference system with a length unit type (e.g. metre, or foot).
Block model creation time
User who created the block model
Example: "kim@example.test"
The primary email address of the user.
Example: "Kim"
The first name of the user.
Example: ["249160E6-6404-4C09-8F61-8BB2469A4DDF"]
The IDs of the groups the user belongs to.
Example: ["My Group"]
The names of the groups the user belongs to.
Example: "59b73891-5538-4e45-ae67-f8c5b00d7405"
The unique identifier of the user.
Example: "Kim"
The last name of the user.
Example: "Kim Kim"
The full name of the user.
Example: "CAEAADB6-D052-40AA-9DEA-221CA6EA26B9"
The organization ID of the user.
Example: "Bentley Systems Inc"
The organization name of the user.
Examples: "Account Admin", ["Account Admin","User"]
The role name(s) of the user.
User-supplied description of the block model
Indicates that updates for this block model should default to filling sub-blocks
Example: "f1230d69-c779-4736-9eb6-f82d49aafa9a"
UUID of the Geoscience Object Service object associated with the block model
Date and time of the last block model update, including metadata updates
User who last updated the block model, including metadata updates
Example: "kim@example.test"
The primary email address of the user.
Example: "Kim"
The first name of the user.
Example: ["249160E6-6404-4C09-8F61-8BB2469A4DDF"]
The IDs of the groups the user belongs to.
Example: ["My Group"]
The names of the groups the user belongs to.
Example: "59b73891-5538-4e45-ae67-f8c5b00d7405"
The unique identifier of the user.
Example: "Kim"
The last name of the user.
Example: "Kim Kim"
The full name of the user.
Example: "CAEAADB6-D052-40AA-9DEA-221CA6EA26B9"
The organization ID of the user.
Example: "Bentley Systems Inc"
The organization name of the user.
Examples: "Account Admin", ["Account Admin","User"]
The role name(s) of the user.
Origin of the block model
The human-readable label used to identify the block model
Normalised rotation of the block model, represented as intrinsic rotations around the Z axis, then X axis, then Z axis.
Example: "e6230d69-c779-4736-9eb6-f82d49aafa06"
Organisation the block model belongs to.
Size of the block model
Block size
Type of sub-blocking
Number of blocks for x, y and z axis. Total must not exceed 500,000,000.
Range: ≤ 500,000,000
Range: ≤ 500,000,000
Range: ≤ 500,000,000
Type of sub-blocking
Number of parent blocks for x, y and z axis. Total must not exceed 500,000,000.
Range: ≤ 500,000,000
Range: ≤ 500,000,000
Range: ≤ 500,000,000
Number of sub-blocks per parent block per axis. Accepted values per axis are 1, 2, 4, 8, 16, 32 or 64.
Range: [1, 64]
Range: [1, 64]
Range: [1, 64]
Parent block size.
Type of sub-blocking
Number of parent blocks for x, y and z axis. Total must not exceed 500,000,000.
Range: ≤ 500,000,000
Range: ≤ 500,000,000
Range: ≤ 500,000,000
Number of sub-blocks per parent block per axis.
Range: [1, 100]
Range: [1, 100]
Range: [1, 100]
Parent block size.
Type of sub-blocking
Number of parent blocks for x, y and z axis. Total must not exceed 500,000,000.
Range: ≤ 500,000,000
Range: ≤ 500,000,000
Range: ≤ 500,000,000
Number of sub-blocks per parent block per axis.
Range: [1, 100]
Range: [1, 100]
Range: [1, 100]
Parent block size.
Unit ID denoting the length unit used for the block model's blocks.
Example: "860be2f5-fe06-4c1b-ac8b-7d34d2b6d2ef"
Workspace the block model belongs to.
Total number of items within the full list without pagination
Endpoint
Request
curl -X GET 'https://{service_host}/blockmodel/orgs/{org_id}/workspaces/{workspace_id}/block-models' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"count": 0,
"limit": 0,
"offset": 0,
"results": [
{
"bbox": {
"x_minmax": {
"max": 0,
"min": 0
},
"y_minmax": {
"max": 0,
"min": 0
},
"z_minmax": {
"max": 0,
"min": 0
}
},
"block_rotation": [
{
"angle": 0,
"axis": "x"
}
],
"bm_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"coordinate_reference_system": "string",
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": {
"email": "string",
"first_name": "string",
"group_ids": [
"string"
],
"group_names": [
"string"
],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"last_name": "string",
"name": "string",
"org_id": "string",
"org_name": "string",
"role_name": [
"string"
]
},
"description": "string",
"fill_subblocks": false,
"geoscience_object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"last_updated_at": "2024-07-29T15:51:28.071Z",
"last_updated_by": {
"email": "string",
"first_name": "string",
"group_ids": [
"string"
],
"group_names": [
"string"
],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"last_name": "string",
"name": "string",
"org_id": "string",
"org_name": "string",
"role_name": [
"string"
]
},
"model_origin": {
"x": 0,
"y": 0,
"z": 0
},
"name": "string",
"normalized_rotation": [
null
],
"org_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"size_options": {
"block_size": {
"x": 0,
"y": 0,
"z": 0
},
"model_type": "string",
"n_blocks": {
"nx": 0,
"ny": 0,
"nz": 0
}
},
"size_unit_id": "string",
"workspace_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
],
"total": 0
}
List all block models in an organization
Block Model API
Gets a paginated list of all block models across all workspaces that are accessible in the organization identified by
org_id. By retrieving this list, you can obtain the bm_id value for a given model, which can then be used in
subsequent API requests to upload or download data, along with performing other operations.
By default, the list is ordered from the most recently updated block model to the least recently updated block model.
If a sort query parameter is specified, the list will be ordered according to the specified field.
This endpoint is paginated, therefore by default this lists at most the first 50 block models. To get other block
models, use the offset and limit query parameters to select the desired part of the list.
An offset beyond the total number of block models across all workspaces will result in an empty results list.
The limit must be an integer from 1 to 100.
The response includes total, which is the total number of block models within the list.
All workspace roles can use this endpoint.
Parameters
Example: "bf1a040c-8c58-4bc2-bec2-c5ae7de8bd84"
ID of the organization this call is scoped to. Represented as a v4 UUID.
An optional boolean parameter specifying whether to list only deleted block models.
-
If set to
true, the response will only list block models that were deleted via the 'Delete a block model' endpoint. This list will not include block models that are within deleted workspaces. -
By default, or if set to
false, the response will only list non-deleted block models within non-deleted workspaces.
An optional query parameter specifying how the results should be sorted. If not provided, results are sorted by last_updated_at in descending order.
This is a comma-separated list of fields; allowed field names are name, created_at, and last_updated_at.
You cannot specify the same field twice.
By default, results are sorted in ascending order.
To explicitly specify the sort order for a field, you can prefix its name with asc: (ascending) or desc: (descending).
For example, order_by=desc:created_at will sort block models by time created in descending order.
Index of the first item to return.
50Maximum number of items to return from the list. Must be greater than 0 and less than or equal to 100.
Returns
200
Successful Response
Number of results returned in results
Maximum number of items requested
Index of the first item in results with respect to the full list without pagination
List of results
Axis-aligned bounding box of the block model.
This is the smallest box that fully contains all blocks within the block model, regardless of whether they contain data. It is defined by the minimum and maximum coordinates along each axis.
Minimum and maximum values for the x column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the y column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the z column in the file
Maximum value for the column
Minimum value for the column
The rotation of the block model. Defined by a list of clockwise rotations around given axes.
The combined equation for the rotation is given by:
R_1 ... R_n A = B
where A is the location in the IJK space, B is the location in coordinate space, and R_i is the rotation matrix for the ith rotation.
For example, if the first rotation is a rotation of 15 degrees clockwise around the X axis, R_1 would be [[1, 0, 0], [0, cos(15), sin(15)], [0, -sin(15), cos(15)]].
Two rotations around the same axis cannot be consecutive items within the list of rotations.
Angle of rotation in degrees
Axis of rotation
ID of the block model
Example: "EPSG:3395"
Coordinate reference system used in the block model.
This may be an EPSG code, signified by the prefix 'EPSG:', or a coordinate system definition in WKT format.
If an EPSG code is provided, it must be for a coordinate reference system with a length unit type (e.g. metre, or foot).
Block model creation time
User who created the block model
Example: "kim@example.test"
The primary email address of the user.
Example: "Kim"
The first name of the user.
Example: ["249160E6-6404-4C09-8F61-8BB2469A4DDF"]
The IDs of the groups the user belongs to.
Example: ["My Group"]
The names of the groups the user belongs to.
Example: "59b73891-5538-4e45-ae67-f8c5b00d7405"
The unique identifier of the user.
Example: "Kim"
The last name of the user.
Example: "Kim Kim"
The full name of the user.
Example: "CAEAADB6-D052-40AA-9DEA-221CA6EA26B9"
The organization ID of the user.
Example: "Bentley Systems Inc"
The organization name of the user.
Examples: "Account Admin", ["Account Admin","User"]
The role name(s) of the user.
User-supplied description of the block model
Indicates that updates for this block model should default to filling sub-blocks
Example: "f1230d69-c779-4736-9eb6-f82d49aafa9a"
UUID of the Geoscience Object Service object associated with the block model
Date and time of the last block model update, including metadata updates
User who last updated the block model, including metadata updates
Example: "kim@example.test"
The primary email address of the user.
Example: "Kim"
The first name of the user.
Example: ["249160E6-6404-4C09-8F61-8BB2469A4DDF"]
The IDs of the groups the user belongs to.
Example: ["My Group"]
The names of the groups the user belongs to.
Example: "59b73891-5538-4e45-ae67-f8c5b00d7405"
The unique identifier of the user.
Example: "Kim"
The last name of the user.
Example: "Kim Kim"
The full name of the user.
Example: "CAEAADB6-D052-40AA-9DEA-221CA6EA26B9"
The organization ID of the user.
Example: "Bentley Systems Inc"
The organization name of the user.
Examples: "Account Admin", ["Account Admin","User"]
The role name(s) of the user.
Origin of the block model
The human-readable label used to identify the block model
Normalised rotation of the block model, represented as intrinsic rotations around the Z axis, then X axis, then Z axis.
Example: "e6230d69-c779-4736-9eb6-f82d49aafa06"
Organisation the block model belongs to.
Size of the block model
Block size
Type of sub-blocking
Number of blocks for x, y and z axis. Total must not exceed 500,000,000.
Range: ≤ 500,000,000
Range: ≤ 500,000,000
Range: ≤ 500,000,000
Type of sub-blocking
Number of parent blocks for x, y and z axis. Total must not exceed 500,000,000.
Range: ≤ 500,000,000
Range: ≤ 500,000,000
Range: ≤ 500,000,000
Number of sub-blocks per parent block per axis. Accepted values per axis are 1, 2, 4, 8, 16, 32 or 64.
Range: [1, 64]
Range: [1, 64]
Range: [1, 64]
Parent block size.
Type of sub-blocking
Number of parent blocks for x, y and z axis. Total must not exceed 500,000,000.
Range: ≤ 500,000,000
Range: ≤ 500,000,000
Range: ≤ 500,000,000
Number of sub-blocks per parent block per axis.
Range: [1, 100]
Range: [1, 100]
Range: [1, 100]
Parent block size.
Type of sub-blocking
Number of parent blocks for x, y and z axis. Total must not exceed 500,000,000.
Range: ≤ 500,000,000
Range: ≤ 500,000,000
Range: ≤ 500,000,000
Number of sub-blocks per parent block per axis.
Range: [1, 100]
Range: [1, 100]
Range: [1, 100]
Parent block size.
Unit ID denoting the length unit used for the block model's blocks.
Example: "860be2f5-fe06-4c1b-ac8b-7d34d2b6d2ef"
Workspace the block model belongs to.
Total number of items within the full list without pagination
Endpoint
Request
curl -X GET 'https://{service_host}/blockmodel/orgs/{org_id}/block-models' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"count": 0,
"limit": 0,
"offset": 0,
"results": [
{
"bbox": {
"x_minmax": {
"max": 0,
"min": 0
},
"y_minmax": {
"max": 0,
"min": 0
},
"z_minmax": {
"max": 0,
"min": 0
}
},
"block_rotation": [
{
"angle": 0,
"axis": "x"
}
],
"bm_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"coordinate_reference_system": "string",
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": {
"email": "string",
"first_name": "string",
"group_ids": [
"string"
],
"group_names": [
"string"
],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"last_name": "string",
"name": "string",
"org_id": "string",
"org_name": "string",
"role_name": [
"string"
]
},
"description": "string",
"fill_subblocks": false,
"geoscience_object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"last_updated_at": "2024-07-29T15:51:28.071Z",
"last_updated_by": {
"email": "string",
"first_name": "string",
"group_ids": [
"string"
],
"group_names": [
"string"
],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"last_name": "string",
"name": "string",
"org_id": "string",
"org_name": "string",
"role_name": [
"string"
]
},
"model_origin": {
"x": 0,
"y": 0,
"z": 0
},
"name": "string",
"normalized_rotation": [
null
],
"org_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"size_options": {
"block_size": {
"x": 0,
"y": 0,
"z": 0
},
"model_type": "string",
"n_blocks": {
"nx": 0,
"ny": 0,
"nz": 0
}
},
"size_unit_id": "string",
"workspace_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
],
"total": 0
}
Get a block model's metadata
Block Model API
Gets the details of the block model for the given bm_id.
All workspace roles can use this endpoint.
Parameters
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model this call is scoped to. Represented as a v4 UUID.
Example: "860be2f5-fe06-4c1b-ac8b-7d34d2b6d2ef"
ID of the workspace this call is scoped to. Represented as a v4 UUID.
Example: "bf1a040c-8c58-4bc2-bec2-c5ae7de8bd84"
ID of the organization this call is scoped to. Represented as a v4 UUID.
An optional boolean parameter. It must be set to true when retrieving the block model for the given bm_id that has been deleted via the 'Delete a block model' endpoint.
By default, or if set to false, an attempt to access a deleted block model will result in an error.
Returns
200
Successful Response
Axis-aligned bounding box of the block model.
This is the smallest box that fully contains all blocks within the block model, regardless of whether they contain data. It is defined by the minimum and maximum coordinates along each axis.
Minimum and maximum values for the x column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the y column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the z column in the file
Maximum value for the column
Minimum value for the column
The rotation of the block model. Defined by a list of clockwise rotations around given axes.
The combined equation for the rotation is given by:
R_1 ... R_n A = B
where A is the location in the IJK space, B is the location in coordinate space, and R_i is the rotation matrix for the ith rotation.
For example, if the first rotation is a rotation of 15 degrees clockwise around the X axis, R_1 would be [[1, 0, 0], [0, cos(15), sin(15)], [0, -sin(15), cos(15)]].
Two rotations around the same axis cannot be consecutive items within the list of rotations.
Angle of rotation in degrees
Axis of rotation
ID of the block model
Example: "EPSG:3395"
Coordinate reference system used in the block model.
This may be an EPSG code, signified by the prefix 'EPSG:', or a coordinate system definition in WKT format.
If an EPSG code is provided, it must be for a coordinate reference system with a length unit type (e.g. metre, or foot).
Block model creation time
User who created the block model
Example: "kim@example.test"
The primary email address of the user.
Example: "Kim"
The first name of the user.
Example: ["249160E6-6404-4C09-8F61-8BB2469A4DDF"]
The IDs of the groups the user belongs to.
Example: ["My Group"]
The names of the groups the user belongs to.
Example: "59b73891-5538-4e45-ae67-f8c5b00d7405"
The unique identifier of the user.
Example: "Kim"
The last name of the user.
Example: "Kim Kim"
The full name of the user.
Example: "CAEAADB6-D052-40AA-9DEA-221CA6EA26B9"
The organization ID of the user.
Example: "Bentley Systems Inc"
The organization name of the user.
Examples: "Account Admin", ["Account Admin","User"]
The role name(s) of the user.
User-supplied description of the block model
Indicates that updates for this block model should default to filling sub-blocks
Example: "f1230d69-c779-4736-9eb6-f82d49aafa9a"
UUID of the Geoscience Object Service object associated with the block model
Date and time of the last block model update, including metadata updates
User who last updated the block model, including metadata updates
Example: "kim@example.test"
The primary email address of the user.
Example: "Kim"
The first name of the user.
Example: ["249160E6-6404-4C09-8F61-8BB2469A4DDF"]
The IDs of the groups the user belongs to.
Example: ["My Group"]
The names of the groups the user belongs to.
Example: "59b73891-5538-4e45-ae67-f8c5b00d7405"
The unique identifier of the user.
Example: "Kim"
The last name of the user.
Example: "Kim Kim"
The full name of the user.
Example: "CAEAADB6-D052-40AA-9DEA-221CA6EA26B9"
The organization ID of the user.
Example: "Bentley Systems Inc"
The organization name of the user.
Examples: "Account Admin", ["Account Admin","User"]
The role name(s) of the user.
Origin of the block model
The human-readable label used to identify the block model
Normalised rotation of the block model, represented as intrinsic rotations around the Z axis, then X axis, then Z axis.
Example: "e6230d69-c779-4736-9eb6-f82d49aafa06"
Organisation the block model belongs to.
Size of the block model
Block size
Type of sub-blocking
Number of blocks for x, y and z axis. Total must not exceed 500,000,000.
Range: ≤ 500,000,000
Range: ≤ 500,000,000
Range: ≤ 500,000,000
Type of sub-blocking
Number of parent blocks for x, y and z axis. Total must not exceed 500,000,000.
Range: ≤ 500,000,000
Range: ≤ 500,000,000
Range: ≤ 500,000,000
Number of sub-blocks per parent block per axis. Accepted values per axis are 1, 2, 4, 8, 16, 32 or 64.
Range: [1, 64]
Range: [1, 64]
Range: [1, 64]
Parent block size.
Type of sub-blocking
Number of parent blocks for x, y and z axis. Total must not exceed 500,000,000.
Range: ≤ 500,000,000
Range: ≤ 500,000,000
Range: ≤ 500,000,000
Number of sub-blocks per parent block per axis.
Range: [1, 100]
Range: [1, 100]
Range: [1, 100]
Parent block size.
Type of sub-blocking
Number of parent blocks for x, y and z axis. Total must not exceed 500,000,000.
Range: ≤ 500,000,000
Range: ≤ 500,000,000
Range: ≤ 500,000,000
Number of sub-blocks per parent block per axis.
Range: [1, 100]
Range: [1, 100]
Range: [1, 100]
Parent block size.
Unit ID denoting the length unit used for the block model's blocks.
Example: "860be2f5-fe06-4c1b-ac8b-7d34d2b6d2ef"
Workspace the block model belongs to.
Endpoint
Request
curl -X GET 'https://{service_host}/blockmodel/orgs/{org_id}/workspaces/{workspace_id}/block-models/{bm_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"bbox": {
"x_minmax": {
"max": 0,
"min": 0
},
"y_minmax": {
"max": 0,
"min": 0
},
"z_minmax": {
"max": 0,
"min": 0
}
},
"block_rotation": [
{
"angle": 0,
"axis": "x"
}
],
"bm_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"coordinate_reference_system": "string",
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": {
"email": "string",
"first_name": "string",
"group_ids": [
"string"
],
"group_names": [
"string"
],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"last_name": "string",
"name": "string",
"org_id": "string",
"org_name": "string",
"role_name": [
"string"
]
},
"description": "string",
"fill_subblocks": false,
"geoscience_object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"last_updated_at": "2024-07-29T15:51:28.071Z",
"last_updated_by": {
"email": "string",
"first_name": "string",
"group_ids": [
"string"
],
"group_names": [
"string"
],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"last_name": "string",
"name": "string",
"org_id": "string",
"org_name": "string",
"role_name": [
"string"
]
},
"model_origin": {
"x": 0,
"y": 0,
"z": 0
},
"name": "string",
"normalized_rotation": [
null
],
"org_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"size_options": {
"block_size": {
"x": 0,
"y": 0,
"z": 0
},
"model_type": "string",
"n_blocks": {
"nx": 0,
"ny": 0,
"nz": 0
}
},
"size_unit_id": "string",
"workspace_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}